MAXScript Extensions > MAXScript Extensions for Solid Bodies >

# Body_Utility : GeometryClass

    Body_Utility - superclass: GeometryClass; super-superclass:node - 80:0 - classID: #(1481052916, 322005602)

The Body_Utility class introduced in 3ds Max 2011 allows the tweaking of the surface representation parameters of multiple Body_Objects at once.

Constructor:

    Body_Utility...

Properties:

## Operator Parameters

### Display

    <Body_Utility>.ShowResultOP BooleanClass default: true -- boolean; Show_Result__Hide_Ops

Get/set the state of the Result checkbox.

    <Body_Utility>.ShowAllOperandsOP BooleanClass default: false -- boolean; Show_Ops__Hide_Result

Get/set the state of the All Operands checkbox.

    <Body_Utility>.ShowSelectedOperandsOP BooleanClass default: true -- boolean; Show_Selected_Operands

Get/set the state of the Selected Operands checkbox.

Not Exposed To UI

    <Body_Utility>.TwoSidedMeshesOP BooleanClass default: false -- boolean; Two_Sided_Mesh
    <Body_Utility>.FastEditOP BooleanClass default: false -- boolean; Fast_Edit
    <Body_Utility>.SaveBrepsOP BooleanClass default: false -- boolean; Save_NURBS_Breps
    <Body_Utility>.OP_NOT_USED1 Integer default: 0 -- integer; Update_Radio
    <Body_Utility>.OP_NOT_USED2 BooleanClass default: false -- boolean; Update_Now
    <Body_Utility>.OP_NOT_USED3 BooleanClass default: false -- boolean; Save_Render_Mesh
    <Body_Utility>.OP_NOT_USED4 BooleanClass default: true -- boolean; Save_Viewport_Mesh

## Rendering Approximation

<Body_Utility>.RenderViewportMeshRA BooleanClass default: false -- boolean; Render_Viewport_Mesh

Get/set the state of the Use Viewport Mesh checkbox.

### Render Mesh Generation

    <Body_Utility>.RenderRadioRA Integer default: 0 -- integer; Render_Radio

Get/set the state of the Render Mesh Generation radio buttons.

Possible values are:

0 - View Dependent Approx.

1 - Size Dependent Approx.

### Render Mesh Quality Presets

    <Body_Utility>.LowQualityRA BooleanClass default: false -- boolean; LowQuality

Get/set the state of the Draft checkbutton.

    <Body_Utility>.MediumQualityRA BooleanClass default: false -- boolean; MediumQuality

Get/set the state of the Good checkbutton.

    <Body_Utility>.HighQualityRA BooleanClass default: true -- boolean; HighQuality

Get/set the state of the Production checkbutton.

### Approximation

    <Body_Utility>.FaceApproxAngleRA Float default: 40.0 -- animatable; float; Face_Angle

Get/set the Face Approx. Angle value.

    <Body_Utility>.EdgeApproxAngleRA Float default: 0.0 -- animatable; float; Edge_Angle

Get/set the Edge Approx. Angle value.

    <Body_Utility>.FaceChordRA Float default: 0.5 -- animatable; float; Face_Chord

Get/set the Face Chord %/Pixels value.

    <Body_Utility>.EdgeChordRA Float default: 0.0 -- animatable; float; Edge_Chord

Get/set the Edge Chord %/Pixels value.

    <Body_Utility>.MaxEdgeRA Float default: 0.0 -- animatable; float; Edge_Length_Rendering

Get/set the Max.Edge %/Pixels value.

### Misc. Options

    <Body_Utility>.WeldAndSmoothRA BooleanClass default: false -- boolean; Weld_and_Smooth

Get/set the state of the Weld And Smooth Mesh checkbox.

    <Body_Utility>.SaveRenderMeshRA BooleanClass default: false -- boolean; Save_Render_Mesh

Get/set the state of the Save Render Meshcheckbox.

## Viewport Display Settings

    <Body_Utility>.DisplayRadioVDS Integer default: 0 -- integer; Display_Radio

Get/set the state of the Display Options radio buttons.

Possible values are:

0 - Curves

1 - Mesh

2 - Both (default)

### Mesh Quality Presets

    <Body_Utility>.LowQualityVDS BooleanClass default: false -- boolean; LowQuality

Get/set the state of the Coarse checkbutton.

    <Body_Utility>.MediumQualityVDS BooleanClass default: true -- boolean; MediumQuality

Get/set the state of the Medium checkbutton.

    <Body_Utility>.HighQualityVDS BooleanClass default: false -- boolean; HighQuality

Get/set the state of the Fine checkbutton.

### Mesh Display

    <Body_Utility>.CleanMeshVDS BooleanClass default: false -- boolean; CleanMesh

Get/set the state of the Weld/Smooth checkbox.

    <Body_Utility>.FaceApproxAngleVDS Float default: 20.0 -- float; Face_Approx__Angle

Get/set the Face Approx. Angle value.

    <Body_Utility>.EdgeApproxAngleVDS Float default: 0.0 -- float; Edge_Approx__Angle

Get/set the Edge Approx. Angle value.

    <Body_Utility>.FaceChordHeightVDS Float default: 0.2 -- float; Face_Chord_Height

Get/set the Face Distance % value.

    <Body_Utility>.EdgeChordHeightVDS Float default: 0.0 -- float; Edge_Chord_Height

Get/set the Edge Distance % value.

    <Body_Utility>.MaxEdgeLengthPctVDS Float default: 0.0 -- float; Edge_Length

Get/set the Max.Edge Len. % value.

    <Body_Utility>.SmoothingPassesVDS Float default: 0.0 -- float; Smoothing_Passes

Get/set the Smoothing Passes value.

### Curve Display

    <Body_Utility>.ULinesVDS Float default: 0.0 -- float; U_Lines

Get/set the Lines U value.

    <Body_Utility>.VLinesVDS Float default: 0.0 -- float; V_Lines

Get/set the Lines V value.

    <Body_Utility>.DisplaySurfaceKnotsVDS BooleanClass default: false -- boolean; Display_Surface_Knots

Get/set the state of the Display Surface Knots checkbox.

    <Body_Utility>.IsoAngleDS Float default: 3.0 -- float; Iso_Angle

Get/set the Approx value.

    <Body_Utility>.IsoChordHeightVDS Float default: 0.0 -- float; Iso_Chord

Get/set the Curve Distance value.

### Not Exposed To UI

    <Body_Utility>.SubDMeshVDS BooleanClass default: false -- boolean; SubDMesh
    <Body_Utility>.VDS_NOT_USED1 BooleanClass default: false -- boolean; Update

## Face Display Parameters

No Properties Exposed.

## Not Exposed To UI

    <Body_Utility>.ApproximateArcFAO BooleanClass default: false -- boolean
    <Body_Utility>.BlendStrengthFAO Float default: 1.0 -- animatable; float
    <Body_Utility>.ConstantDistanceFAO BooleanClass default: false -- boolean
    <Body_Utility>.CornerExtensionFAO BooleanClass default: true -- boolean; Corner_Extension
    <Body_Utility>.FilletAllEdgesFAO BooleanClass default: false -- boolean
    <Body_Utility>.FilletRadiusFAO Float default: 0.0 -- animatable; float
    <Body_Utility>.FirstOrEndEdgesFAO BooleanClass default: false -- boolean
    <Body_Utility>.LinearCrossSectionFAO BooleanClass default: false -- boolean
    <Body_Utility>.OffsetRadiusFAO Float default: 0.0 -- animatable; float
    <Body_Utility>.SecondOrSideEdgesFAO BooleanClass default: false -- boolean
    <Body_Utility>.SectionTypeFAO Integer default: 0 -- integer
    <Body_Utility>.ShellEndFaceFAO BooleanClass default: false -- boolean
    <Body_Utility>.ShellRadioFAO Integer default: 0 -- integer
    <Body_Utility>.ShellStartFaceFAO BooleanClass default: false -- boolean
    <Body_Utility>.ThirdOrStartEdgesFAO BooleanClass default: false -- boolean
    <Body_Utility>.FAO_NOT_USED1 BooleanClass default: false -- boolean
    <Body_Utility>.FAO_NOT_USED2 BooleanClass default: false -- boolean
    <Body_Utility>.FAO_NOT_USED3 BooleanClass default: false -- boolean
    <Body_Utility>.FAO_NOT_USED4 BooleanClass default: false -- boolean

## Surface Analysis(Not Exposed To UI)

    <Body_Utility>.CurvatureDensitySA Float default: 50.0 -- float; Curvature_Density
    <Body_Utility>.CurvatureScaleSA Float default: 400.0 -- float; Curvature_Scale
    <Body_Utility>.CurveCurvatureTypeSA Integer default: 3 -- integer; Curve_Curvature_Type
    <Body_Utility>.DisplayControlMeshSA BooleanClass default: false -- boolean; Display_Control_Mesh
    <Body_Utility>.DisplayControlPointsSA BooleanClass default: false -- boolean; Display_Control_Points
    <Body_Utility>.DisplayCurveCurvatureSA BooleanClass default: false -- boolean; Display_Curve_Curvature
    <Body_Utility>.DisplaySurfaceCurvatureSA BooleanClass default: false -- boolean; Display_Surface_Curvature
    <Body_Utility>.StdDevMaxRangeSA Float default: 0.0 -- float; Std__Dev__Max_Range
    <Body_Utility>.StdDevMinRangeSA Float default: 0.0 -- float; Std__Dev__Min_Range
    <Body_Utility>.StdDevMultiplesSA Float default: 2.0 -- float; Std__Dev__Multiples
    <Body_Utility>.SurfaceCurvatureTypeSA Integer default: 0 -- integer; Surface_Curvature_Type
    <Body_Utility>.SurfAnalysisQuickHelpSA BooleanClass default: false -- boolean; Surface_Analysis_Quick_Help
    <Body_Utility>.UseMinMaxRangeSA BooleanClass default: false -- boolean; Use_Min_Max_Range

## NQ(Not Exposed To UI)

    <Body_Utility>.ExtrToBrepNQ BooleanClass default: false -- boolean; Extr_To_NURBS_Brep
    <Body_Utility>.ExtrToCurveNQ BooleanClass default: false -- boolean; Extr_To_Curve
    <Body_Utility>.ExtrToNURBSNQ BooleanClass default: false -- boolean; Extr_To_Nurbs
    <Body_Utility>.NQ_NOT_USED1 BooleanClass default: false -- boolean; Flip_All
    <Body_Utility>.NQ_NOT_USED2 BooleanClass default: false -- boolean; Flip_Selected
    <Body_Utility>.NQ_NOT_USED3 BooleanClass default: false -- boolean; Extract_To_Spline
    <Body_Utility>.NQ_NOT_USED4 BooleanClass default: false -- boolean; Show_Counts
    <Body_Utility>.NQ_NOT_USED5 BooleanClass default: false -- boolean; Extract_To_CShape

#### See Also

- Body_Cutter : GeometryClass

- Body_Object : GeometryClass

- Join_Bodies : GeometryClass

- Body Objects